com.qualcomm.robotcore.hardware

## Class I2cDeviceSynch.HeartbeatAction

- java.lang.Object
- - com.qualcomm.robotcore.hardware.I2cDeviceSynch.HeartbeatAction

- Enclosing interface:
    I2cDeviceSynch

      public static class I2cDeviceSynch.HeartbeatAction
      extends java.lang.Object

  Instances of HeartBeatAction indicate what action to carry out to perform a heartbeat should that become necessary. The actual action to take is indicated by one of several prioritized possibilities. When a heartbeat is needed, these are considered in order, and the first one applicable given the state of the I2C device at the time will be applied.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `I2cDeviceSynch.ReadWindow` | `heartbeatReadWindow` Priority #3: explicitly read a given register window
    `boolean` | `rereadLastRead` Priority #1: re-issue the last I2C read operation, if possible.
    `boolean` | `rewriteLastWritten` Priority #2: re-issue the last I2C write operation, if possible.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeartbeatAction(boolean rereadLastRead, boolean rewriteLastWritten, I2cDeviceSynch.ReadWindow readWindow)` instantiates a new HeartbeatAction.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rereadLastRead

          public final boolean rereadLastRead

      Priority #1: re-issue the last I2C read operation, if possible.

    - #### rewriteLastWritten

          public final boolean rewriteLastWritten

      Priority #2: re-issue the last I2C write operation, if possible.

    - #### heartbeatReadWindow

          public final I2cDeviceSynch.ReadWindow heartbeatReadWindow

      Priority #3: explicitly read a given register window

  - ### Constructor Detail

    - #### HeartbeatAction

          public HeartbeatAction(boolean rereadLastRead,
                                 boolean rewriteLastWritten,
                                 I2cDeviceSynch.ReadWindow readWindow)

      instantiates a new HeartbeatAction.